Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.compat
Class JimiEncoderBase

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.compat.JimiEncoderBase

Direct Known Subclasses:
  BMPEncoder, ICOEncoder, JPGEncoder, PCXEncoder, PICTEncoder, PNGEncoder, PSDEncoder, TGAEncoder

public abstract class JimiEncoderBase
extends ProgressMonitorSupport
implements JimiEncoder

Backward-compatibility class for Jimi 1.0 encoders.

Field Summary
`protected AdaptiveRasterImage` | `currentImage`
`static int` | `DONE` Returned by getStatus().The encoder has completed
`static int` | `ERROR` Returned by getStatus().
`protected JimiImageFactory` | `factory`
`protected static int` | `MAX_COLORS_RGB`
`static int` | `MULTIIMAGE`
`static int` | `NEXTIMAGE` Returned by getStatus().

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`JimiEncoderBase()`

Method Summary
`AdaptiveRasterImage` | `createAdaptiveRasterImage()`
`AdaptiveRasterImage` | `createAdaptiveRasterImage(int w, int h, java.awt.image.ColorModel cm)`
`abstract boolean` | `driveEncoder()`
`void` | `encodeImage(JimiImage jimiImage, java.io.OutputStream output)`
`void` | `encodeImage(JimiImage jimiImage, java.io.OutputStream output, ProgressListener listener)`
`void` | `encodeImages(JimiImageEnumeration jimiImages, java.io.OutputStream output)`
`void` | `encodeImages(JimiImageEnumeration jimiImages, java.io.OutputStream output, ProgressListener listener)`
`protected void` | `freeEncoder()`
`protected int` | `getCapabilties()`
`protected AdaptiveRasterImage` | `getJimiImage()`
`protected int` | `getMaxColors()`
`protected int` | `getState()`
`protected abstract void` | `initSpecificEncoder(java.io.OutputStream out, AdaptiveRasterImage ji)`
`protected void` | `setJimiImage(AdaptiveRasterImage ji)`
`void` | `setNumberOfImages(int imageCount)`
`void` | `setProgress(int progress)`

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTIIMAGE

    public static final int MULTIIMAGE

### ERROR

    public static final int ERROR

  Returned by getStatus(). The encoder has encountered an error

### DONE

    public static final int DONE

  Returned by getStatus().The encoder has completed

### NEXTIMAGE

    public static final int NEXTIMAGE

  Returned by getStatus(). Indicates next image required for encoding

### currentImage

    protected AdaptiveRasterImage currentImage

### factory

    protected JimiImageFactory factory

### MAX_COLORS_RGB

    protected static final int MAX_COLORS_RGB

Constructor Detail

### JimiEncoderBase

    public JimiEncoderBase()

Method Detail

### encodeImage

    public void encodeImage(JimiImage jimiImage,
                            java.io.OutputStream output)
                     throws JimiException

### encodeImage

    public void encodeImage(JimiImage jimiImage,
                            java.io.OutputStream output,
                            ProgressListener listener)
                     throws JimiException

### encodeImages

    public void encodeImages(JimiImageEnumeration jimiImages,
                             java.io.OutputStream output)
                      throws JimiException

  Specified by:
    encodeImages in interface JimiEncoder

### encodeImages

    public void encodeImages(JimiImageEnumeration jimiImages,
                             java.io.OutputStream output,
                             ProgressListener listener)
                      throws JimiException

  Specified by:
    encodeImages in interface JimiEncoder

### createAdaptiveRasterImage

    public AdaptiveRasterImage createAdaptiveRasterImage()

### createAdaptiveRasterImage

    public AdaptiveRasterImage createAdaptiveRasterImage(int w,
                                                         int h,
                                                         java.awt.image.ColorModel cm)

### setProgress

    public void setProgress(int progress)

  Overrides:
    setProgress in class ProgressMonitorSupport

### driveEncoder

    public abstract boolean driveEncoder()
                                  throws JimiException

### setJimiImage

    protected void setJimiImage(AdaptiveRasterImage ji)
                         throws JimiException

### initSpecificEncoder

    protected abstract void initSpecificEncoder(java.io.OutputStream out,
                                                AdaptiveRasterImage ji)
                                         throws JimiException

### freeEncoder

    protected void freeEncoder()
                        throws JimiException

### setNumberOfImages

    public void setNumberOfImages(int imageCount)

### getJimiImage

    protected AdaptiveRasterImage getJimiImage()

### getCapabilties

    protected int getCapabilties()

### getState

    protected int getState()

### getMaxColors

    protected int getMaxColors()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD